Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
rmd160init.c File Reference
`#include "digest.h"`
`#include "rmd160.h"`
Include dependency graph for rmd160init.c:

Go to the source code of this file.

## Functions
void | Init_rmd160 ()

## Variables
static const rb_digest_metadata_t | rmd160

## Function Documentation

void Init_rmd160 | ( | ) |  |

Definition at line 27 of file rmd160init.c.

References Data_Wrap_Struct, rb_cObject, rb_define_class_under(), rb_define_module(), rb_intern, rb_ivar_set(), rb_path2class(), and rb_require().

## Variable Documentation

const rb_digest_metadata_t rmd160
| static

Initial value:
= {
RUBY_DIGEST_API_VERSION,
RMD160_DIGEST_LENGTH,
RMD160_BLOCK_LENGTH,
sizeof(RMD160_CTX),
(rb_digest_hash_init_func_t)RMD160_Init,
(rb_digest_hash_update_func_t)RMD160_Update,
(rb_digest_hash_finish_func_t)RMD160_Finish,
}

Definition at line 11 of file rmd160init.c.